What operating systems is MediaMonkey compatible with?

MediaMonkey 5.x is supported on 32 and 64-bit versions of Windows 10 & 7.

MediaMonkey 4.x is supported on 32 and 64-bit versions of Windows 10 (as of MediaMonkey 4.1.9), Windows 8, Windows 7, Windows Vista, and Windows XP.

MediaMonkey 3.x was supported on 32 and 64-bit versions of Windows 7, Windows Vista, and Windows XP, but is also known to work with Windows 98, Windows ME, Windows 2000.

MediaMonkey 2.5.x was supported on Windows 98, Windows ME, Windows 2000.

No versions of MediaMonkey are currently compatible with the MAC OS or Linux (but MediaMonkey 4 is known to work with WINE (Linux) and Wineskin (MAC OS)).

Applies to: ,

Was this article helpful?